var webpack = require('webpack');
var ENV = process.env.NODE_ENV

var Config = {
  entry: {
    index: __dirname + '/src/index.js',
  },
  output: {
    path: __dirname + '/dist',
    library: 'react.smartui',
    libraryTarget: 'commonjs2',
    filename: ENV === 'production' ? 'smartui.min.js' : 'smartui.js',
  },
  externals: {
    'react': 'react',
    'object-assign': 'object-assign'
  },
  module: {
    loaders: [{
      test: /\.js$/,
      exclude: /node_modules/,
      loader: 'babel'
    }]
  },
  plugins: [
  ]
};

if (ENV === 'production') {
  Config.plugins.push(new webpack.optimize.UglifyJsPlugin({
    compress: { warnings: false }
  }))
}

module.exports = Config;